From 323fed918995fe2e01036c74c1498446b4d2f122 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Thu, 12 Oct 2017 14:09:09 +0200
Subject: [PATCH] Move tests into existing (auto)tests subdirectories

---
 generators/chm/CMakeLists.txt                 | 12 +++---------
 generators/chm/autotests/CMakeLists.txt       |  8 ++++++++
 generators/chm/autotests/chmgeneratortest.cpp |  2 +-
 generators/comicbook/CMakeLists.txt           | 10 +++-------
 generators/comicbook/autotests/CMakeLists.txt |  6 ++++++
 8 files changed, 27 insertions(+), 18 deletions(-)
 create mode 100644 generators/chm/autotests/CMakeLists.txt
 create mode 100644 generators/comicbook/autotests/CMakeLists.txt

diff --git a/generators/chm/CMakeLists.txt b/generators/chm/CMakeLists.txt
index 0d7452cba..3adb3fd54 100644
--- a/generators/chm/CMakeLists.txt
+++ b/generators/chm/CMakeLists.txt
@@ -23,15 +23,9 @@ okular_add_generator(okularGenerator_chmlib ${okularGenerator_chmlib_SRCS})
 target_include_directories(okularGenerator_chmlib PRIVATE ${CHM_INCLUDE_DIR} ${LIBZIP_INCLUDE_DIR})
 target_link_libraries(okularGenerator_chmlib  okularcore ${CHM_LIBRARY} ${LIBZIP_LIBRARY} KF5::KHtml)
 
-########### autotests ###############
-
-add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
-ecm_add_test(autotests/chmgeneratortest.cpp
-    TEST_NAME "chmgeneratortest"
-    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
-)
-
-target_compile_definitions(chmgeneratortest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_chmlib>")
+if(BUILD_TESTING)
+   add_subdirectory(autotests)
+endif()
 
 ########### install files ###############
 install( FILES okularChm.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
diff --git a/generators/chm/autotests/CMakeLists.txt b/generators/chm/autotests/CMakeLists.txt
new file mode 100644
index 000000000..59753ca45
--- /dev/null
+++ b/generators/chm/autotests/CMakeLists.txt
@@ -0,0 +1,8 @@
+add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/../" )
+
+ecm_add_test(chmgeneratortest.cpp
+    TEST_NAME "chmgeneratortest"
+    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
+)
+
+target_compile_definitions(chmgeneratortest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_chmlib>")
diff --git a/generators/chm/autotests/chmgeneratortest.cpp b/generators/chm/autotests/chmgeneratortest.cpp
index c428fa1b3..68f7a5821 100644
--- a/generators/chm/autotests/chmgeneratortest.cpp
+++ b/generators/chm/autotests/chmgeneratortest.cpp
@@ -30,7 +30,7 @@ void ChmGeneratorTest::initTestCase()
 {
     Okular::SettingsCore::instance(QStringLiteral("ChmGeneratorTest"));
     m_document = new Okular::Document(nullptr);
-    const QString testFile = QStringLiteral(KDESRCDIR "autotests/data/test.chm");
+    const QString testFile = QStringLiteral(KDESRCDIR "data/test.chm");
     QMimeDatabase db;
     const QMimeType mime = db.mimeTypeForFile(testFile);
     QCOMPARE(m_document->openDocument(testFile, QUrl(), mime), Okular::Document::OpenSuccess);
diff --git a/generators/comicbook/CMakeLists.txt b/generators/comicbook/CMakeLists.txt
index a0e7569a2..91bcc6ec7 100644
--- a/generators/comicbook/CMakeLists.txt
+++ b/generators/comicbook/CMakeLists.txt
@@ -25,13 +25,9 @@ if (KArchive_HAVE_LZMA)
     target_compile_definitions(okular_comicbook PRIVATE -DWITH_K7ZIP=1)
 endif()
 
-########### autotests ###############
-
-add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
-ecm_add_test(autotests/comicbooktest.cpp
-    TEST_NAME "comicbooktest"
-    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore okular_comicbook
-)
+if(BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
 
 ########### install files ###############
 install( FILES okularComicbook.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
diff --git a/generators/comicbook/autotests/CMakeLists.txt b/generators/comicbook/autotests/CMakeLists.txt
new file mode 100644
index 000000000..aaacb341a
--- /dev/null
+++ b/generators/comicbook/autotests/CMakeLists.txt
@@ -0,0 +1,6 @@
+add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/../" )
+
+ecm_add_test(comicbooktest.cpp
+    TEST_NAME "comicbooktest"
+    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore okular_comicbook
+)
-- 
2.33.0

